# Dadou - 2.2-0.beta1.0.3mdk - Define macro used to control build options for
#                              each LMDK distributions
%define buildfor $(awk '{print $4}' /etc/mandrake-release)
%{expand:%%define buildfor7_2 %(A=$(awk '{print $4}' /etc/mandrake-release); if [ "$A" = 7.2 ]; then echo 1; else echo 0; fi)}
%{expand:%%define buildfor8_0 %(A=$(awk '{print $4}' /etc/mandrake-release); if [ "$A" = 8.0 ]; then echo 1; else echo 0; fi)}
%{expand:%%define buildfor8_1 %(A=$(awk '{print $4}' /etc/mandrake-release); if [ "$A" = 8.1 ]; then echo 1; else echo 0; fi)}

# Dadou - 2.2-0.beta1.0.3mdk - Define if we build a stable release or not
#                              0 = stable
#                              1 = unstable
%define unstable 0

Name: 		kdevelop
Summary: 	Integrated Development Environment for C++/C
Version: 	2.0.1
Release: 	1mdk
Epoch:		3

Source0: 	%name-%version.tar.bz2
Source1:	c_cpp_reference-2.0.tar.bz2

URL: 		http://www.kdevelop.org/
Group: 		Development/C++
BuildRoot: 	%_tmppath/%name-%version-%release-root
License: 	GPL
Requires: 	autoconf automake enscript gcc-c++ gcc-cpp gimp htdig arts openssl-devel
Requires:	kdegraphics kdelibs-devel kdesdk kdesupport-devel kdeutils XFree86-devel
Requires:	kdoc libjpeg-devel libqt2-devel make perl sgml-tools gettext zlib1-devel
Requires:	libpng2-devel kdev_htdig

%if %buildfor8_0
BuildRequires:	arts autoconf automake db1 diffutils file flex freetype2 gawk
BuildRequires:	gcc-c++ gcc-cpp gettext kdelibs kdelibs-devel kdesupport-devel
BuildRequires:	libbinutils2 libbzip2_1 libjpeg62 libjpeg62-devel libmng1 libpng2
BuildRequires:	libqt2 libqt2-devel libtermcap m4 Mesa-common mktemp
BuildRequires:	openssl pam popt readline rpm-build texinfo XFree86-devel
BuildRequires:	XFree86-libs XFree86-static-libs zlib1
%endif


%if %buildfor8_1
BuildRequires:  arts autoconf automake db1 diffutils file flex freetype2 gawk
BuildRequires:  gcc-c++ gcc-cpp gettext kdelibs kdelibs-devel kdesupport-devel
BuildRequires:  libbinutils2 libbzip2_1 libjpeg62 libjpeg62-devel libmng1 libpng2
BuildRequires:  libqt2 libqt2-devel libtermcap m4 Mesa-common mktemp
BuildRequires:  openssl pam popt readline rpm-build texinfo XFree86-devel
BuildRequires:  XFree86-libs XFree86-static-libs zlib1
%endif

%description
The KDevelop Integrated Development Environment provides many features that
developers need as well as providing a unified interface to programs like gdb,
the C/C++ compiler, and make.

KDevelop manages or provides:
   * All development tools needed for C++ programming like Compiler, Linker,
     automake and autoconf
     
   * KAppWizard, which generates complete, ready-to-go sample applications
   
   * Classgenerator, for creating new classes and integrating them into the
     current project
     
   * File management for sources, headers, documentation etc. to be included in
     the project
     
   * The creation of User-Handbooks written with SGML and the automatic
     generation of HTML-output with the KDE look and feel
     
   * Automatic HTML-based API-documentation for your project's classes with
     cross-references to the used libraries; Internationalization support for
     your application, allowing translators to easily add their target language
     to a project
     
   * WYSIWYG (What you see is what you get) creation of user interfaces with a
     built-in dialog editor
     
   * Debugging your application by integrating KDbg
   
   * Editing of project-specific pixmaps with KIconEdit
   
   * The inclusion of any other program you need for development by adding it to
     the "Tools" menu according to your individual needs.


%package static-devel
Summary:	Static libraries for kdevelop
Group:		Development/KDE and QT
PreReq:		%name = %version-%release

%description static-devel
Static libraries for kdevelop.


%prep

%setup -q -a 1

%build
make -f Makefile.cvs

if [ %buildfor = 7.2 ] || [ %buildfor = 8.0 ]; then
CFLAGS="%optflags" CXXFLAGS="%optflags" \
        ./configure --prefix=%_prefix \
	            --build=%_target_platform \
%if %unstable
	            --enable-debug \
%else
                    --disable-debug \
%endif
		    --enable-final \
		    --enable-shared \
		    --enable-static \
		    --disable-mt \
		    --with-qtdoc-dir=%_docdir/qt-2.3.1/html/ \
		    --with-kdelibsdoc-dir=%_docdir/HTML/en/ \
	            --disable-rpath
fi

if [ %buildfor = 8.1 ]; then
CFLAGS="%optflags" CXXFLAGS="%optflags" \
        ./configure --prefix=%_prefix \
                    --build=%_target_platform \
%if %unstable
                    --enable-debug \
%else
                    --disable-debug \
%endif
                    --enable-final \
                    --enable-shared \
                    --enable-static \
                    --with-xinerama \
                    --disable-mt \
                    --with-qtdoc-dir=%_docdir/qt-2.3.1/html/ \
                    --with-kdelibsdoc-dir=%_docdir/HTML/en/ \
                    --disable-rpath
fi

%make

(
cd c_cpp_reference-2.0/
%configure
%make
)

%install
rm -fr %buildroot

# Dadou - 2.2-0.alpha2.3mdk - Don't strip when we are not in final release
%if %unstable
export DONT_STRIP=1
%endif

make install DESTDIR=%buildroot 

# Create LMDK menus
install -d %buildroot/%_menudir

# Dadou - 2.1-1mdk - This one is provided by qt2-designer
#kdedesktop2mdkmenu.pl kdevelop Applications/Development/Development\ environments %buildroot/%_datadir/applnk/Development/designer.desktop %buildroot/%_menudir/kdevelop-designer
kdedesktop2mdkmenu.pl kdevelop Applications/Development/Development\ environments %buildroot/%_datadir/applnk/Development/kdevelop-setup.desktop %buildroot/%_menudir/kdevelop-kdevelop-setup
kdedesktop2mdkmenu.pl kdevelop Applications/Development/Development\ environments %buildroot/%_datadir/applnk/Development/kdevelop.desktop %buildroot/%_menudir/kdevelop-kdevelop
# Dadou - 2.1-1mdk - This one is not provided in LMDK distribution
#kdedesktop2mdkmenu.pl kdevelop Applications/Development/Development\ environments %buildroot/%_datadir/applnk/Development/linguist.desktop %buildroot/%_menudir/kdevelop-lingusit

# LMONTEL - 1.4-0.20010116-1mdk - Version in menu is not allowed
# Dadou - 1.4-1mdk - Warning, version change time to time. Check it everytime
#                    you rebuild this package
perl -pi -e "s|KDevelop 2.0|KDevelop|g" %buildroot/%_menudir/kdevelop-kdevelop
perl -pi -e "s|KDevelop 2.0|KDevelop|g" %buildroot/%_menudir/kdevelop-kdevelop-setup

# Laurent MONTEL - 2.2-0.alpha1.1mdk - Removed because it's provided by kdesdk
rm -f %buildroot/%_bindir/extractrc

# Dadou - 2.2-0.beta1.1mdk - Removed because they are provided by kdelibs
rm -f %buildroot/%_datadir/mimelnk/application/x-designer.desktop
rm -f %buildroot/%_datadir/mimelnk/application/x-linguist.desktop

(
cd c_cpp_reference-2.0/
%makeinstall
)


%clean
rm -fr %buildroot

%files
%defattr(-,root,root) 
%dir %_docdir/HTML/
%dir %_docdir/HTML/en/
%dir %_docdir/HTML/en/kdevelop/
#%doc %_docdir/HTML/en/kdevelop/*.database
%doc %_docdir/HTML/en/kdevelop/*.html
%doc %_docdir/HTML/en/kdevelop/*.png
#
%dir %_docdir/HTML/en/kdevelop/about/
%doc %_docdir/HTML/en/kdevelop/about/*.css
%doc %_docdir/HTML/en/kdevelop/about/*.html
%doc %_docdir/HTML/en/kdevelop/about/*.png
#
%dir %_docdir/HTML/en/kdevelop/kde_libref/
%doc %_docdir/HTML/en/kdevelop/kde_libref/*.html
%doc %_docdir/HTML/en/kdevelop/kde_libref/*.png
#
%dir %_docdir/HTML/en/kdevelop/programming/
%doc %_docdir/HTML/en/kdevelop/programming/*.html
%doc %_docdir/HTML/en/kdevelop/programming/*.png
#
#
%dir %_docdir/HTML/en/kdevelop/tutorial/
%doc %_docdir/HTML/en/kdevelop/tutorial/*.html
%doc %_docdir/HTML/en/kdevelop/tutorial/*.png
#
%dir %_docdir/HTML/en/kdevelop/reference/
%dir %_docdir/HTML/en/kdevelop/reference/C
%doc %_docdir/HTML/en/kdevelop/reference/C/*.html
%doc %_docdir/HTML/en/kdevelop/reference/C/*.gif
%dir %_docdir/HTML/en/kdevelop/reference/C/CONCEPT/
%doc %_docdir/HTML/en/kdevelop/reference/C/CONCEPT/*.html

%dir %_docdir/HTML/en/kdevelop/reference/C/CONTRIB/
%dir %_docdir/HTML/en/kdevelop/reference/C/CONTRIB/*.html

%dir %_docdir/HTML/en/kdevelop/reference/C/CONTRIB/OR_PRACTICAL_C/
%doc %_docdir/HTML/en/kdevelop/reference/C/CONTRIB/OR_PRACTICAL_C/*

%dir %_docdir/HTML/en/kdevelop/reference/C/CONTRIB/OR_USING_C/
%doc %_docdir/HTML/en/kdevelop/reference/C/CONTRIB/OR_USING_C/*

%dir %_docdir/HTML/en/kdevelop/reference/C/CONTRIB/SAWTELL/
%doc %_docdir/HTML/en/kdevelop/reference/C/CONTRIB/SAWTELL/*

%dir %_docdir/HTML/en/kdevelop/reference/C/CONTRIB/SNIP/
%doc %_docdir/HTML/en/kdevelop/reference/C/CONTRIB/SNIP/*
#
%dir %_docdir/HTML/en/kdevelop/reference/C/EXAMPLES/
%doc %_docdir/HTML/en/kdevelop/reference/C/EXAMPLES/*

%dir %_docdir/HTML/en/kdevelop/reference/C/FUNCTIONS/
%doc %_docdir/HTML/en/kdevelop/reference/C/FUNCTIONS/*

%dir %_docdir/HTML/en/kdevelop/reference/C/GDB/
%doc %_docdir/HTML/en/kdevelop/reference/C/GDB/*.html

%dir %_docdir/HTML/en/kdevelop/reference/C/LIBRARIES/
%doc %_docdir/HTML/en/kdevelop/reference/C/LIBRARIES/*.html
%doc %_docdir/HTML/en/kdevelop/reference/C/LIBRARIES/*.htm

%dir %_docdir/HTML/en/kdevelop/reference/C/MAN/
%doc %_docdir/HTML/en/kdevelop/reference/C/MAN/*

%dir %_docdir/HTML/en/kdevelop/reference/C/MISC/
%doc %_docdir/HTML/en/kdevelop/reference/C/MISC/*.html

%dir %_docdir/HTML/en/kdevelop/reference/C/MISC/CLASSES
%doc %_docdir/HTML/en/kdevelop/reference/C/MISC/CLASSES/*

%dir %_docdir/HTML/en/kdevelop/reference/C/PROBLEMS/
%doc %_docdir/HTML/en/kdevelop/reference/C/PROBLEMS/*

%dir %_docdir/HTML/en/kdevelop/reference/C/SYNTAX/
%doc %_docdir/HTML/en/kdevelop/reference/C/SYNTAX/*

%dir %_docdir/HTML/en/kdevelop/reference/C/TECHNIC/
%doc %_docdir/HTML/en/kdevelop/reference/C/TECHNIC/*

%dir %_docdir/HTML/en/kdevelop/reference/C/X_EXAMPLES/
%doc %_docdir/HTML/en/kdevelop/reference/C/X_EXAMPLES/*

%dir %_docdir/HTML/en/kdevelop/reference/C/backup/
%doc %_docdir/HTML/en/kdevelop/reference/C/backup/*

%dir %_docdir/HTML/en/kdevelop/reference/GRAPHICS
%doc %_docdir/HTML/en/kdevelop/reference/GRAPHICS/*

%dir %_docdir/HTML/en/kdevelop/reference/CPLUSPLUS/
%doc %_docdir/HTML/en/kdevelop/reference/CPLUSPLUS/*.html
%dir %_docdir/HTML/en/kdevelop/reference/CPLUSPLUS/CONCEPT/
%doc %_docdir/HTML/en/kdevelop/reference/CPLUSPLUS/CONCEPT/*.html

%dir %_docdir/HTML/en/kdevelop/reference/CPLUSPLUS/CONTRIB/
%doc %_docdir/HTML/en/kdevelop/reference/CPLUSPLUS/CONTRIB/*.html

%dir %_docdir/HTML/en/kdevelop/reference/CPLUSPLUS/CONTRIB/GNU_STDLIB/
%doc %_docdir/HTML/en/kdevelop/reference/CPLUSPLUS/CONTRIB/GNU_STDLIB/*.html

%dir %_docdir/HTML/en/kdevelop/reference/CPLUSPLUS/EXAMPLES/
%doc %_docdir/HTML/en/kdevelop/reference/CPLUSPLUS/EXAMPLES/*

%dir %_docdir/HTML/en/kdevelop/reference/CPLUSPLUS/SYNTAX/
%doc %_docdir/HTML/en/kdevelop/reference/CPLUSPLUS/SYNTAX/*


#
%_bindir/*
#
#
#
%_menudir/*
#
%_libdir/*.la
%_libdir/*.so*
#
#
%dir %_datadir/applnk/
%dir %_datadir/applnk/Development/
%_datadir/applnk/Development/*
#
#
#
%dir %_datadir/apps/
%dir %_datadir/apps/kdevelop/
%_datadir/apps/kdevelop/*.rc
%_datadir/apps/kdevelop/*.spec
%_datadir/apps/kdevelop/eventsrc
%_datadir/apps/kdevelop/tips
#
#
%dir %_datadir/apps/kdevelop/icons/
%dir %_datadir/apps/kdevelop/icons/hicolor/
%dir %_datadir/apps/kdevelop/icons/hicolor/16x16/
%dir %_datadir/apps/kdevelop/icons/hicolor/16x16/actions/
%_datadir/apps/kdevelop/icons/hicolor/16x16/actions/*.png
#
%dir %_datadir/apps/kdevelop/icons/hicolor/22x22/
%dir %_datadir/apps/kdevelop/icons/hicolor/22x22/actions/
%_datadir/apps/kdevelop/icons/hicolor/22x22/actions/*.png
#
#
%dir %_datadir/apps/kdevelop/pics/
%_datadir/apps/kdevelop/pics/*.png
#
#
%dir %_datadir/apps/kdevelop/templates/
%_datadir/apps/kdevelop/templates/*
#
#
%dir %_datadir/apps/kdevelop/tools/
%_datadir/apps/kdevelop/tools/*.pl
%_datadir/apps/kdevelop/tools/*.sh
%_datadir/apps/kdevelop/tools/kimport
#
%dir %_datadir/apps/kconf_update/
%_datadir/apps/kconf_update/kdevelop2.upd
#
#
%dir %_iconsdir/hicolor/
%dir %_iconsdir/hicolor/16x16/
%dir %_iconsdir/hicolor/16x16/apps/
%_iconsdir/hicolor/16x16/apps/*.png
#
%dir %_iconsdir/hicolor/32x32/
%dir %_iconsdir/hicolor/32x32/apps/
%_iconsdir/hicolor/32x32/apps/*.png
#
%dir %_iconsdir/hicolor/48x48/
%dir %_iconsdir/hicolor/48x48/apps/
%_iconsdir/hicolor/48x48/apps/*.png
#
#
#
%dir %_datadir/mimelnk/
%dir %_datadir/mimelnk/application/
%_datadir/mimelnk/application/*.desktop



%files static-devel
%defattr(-,root,root,-)
%_libdir/*.a

%post
/sbin/ldconfig
%update_menus

%postun
/sbin/ldconfig
%clean_menus


%changelog
* Thu Sep 18 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.0.1-1mdk
- kdevelop 2.0.1

* Sat Sep 15 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.0-8mdk
- Add requires kdev_htdig

* Fri Sep 07 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.0-7mdk
- Add C/C++ Reference

* Wed Sep 05 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.0-6mdk
- Rebuild with new kdelibs

* Wed Aug 29 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.0-5mdk
- Update from KDE_2_2_BRANCH

* Tue Aug 22 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.0-4mdk
- Fix version name (kde renamed kdevelop 2.2 -> kdevelop 2.0)

* Tue Aug 22 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.0-3mdk
- Rebuild with new kdelibs

* Tue Aug 16 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.0-2mdk
- Fix generated menu

* Wed Aug 06 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.0-1mdk
- kdevelop 2.0 for kde 2.2

* Wed Aug 01 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.2-0.pre1.1mdk
- kde 2.2 pre1

* Fri Jun 29 2001 David BAUDENS <baudens@mandrakesoft.com> 2.2-0.beta1.1mdk
- KDE 2.2.beta1

* Fri Jun 08 2001 David BAUDENS <baudens@mandrakesoft.com> 2.2-0.alpha2.3mdk
- Clean ./configure
- Enable debug and don't strip when we are not in final release

* Tue May 24 2001 David BAUDENS <baudens@mandrakesoft.com> 2.2-0.alpha2.2mdk
- Re-enable debug (low level)

* Wed May 23 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.2-0.alpha2.1mdk
- kdevelop 2.2 alpha2

* Tue May 02 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.2-0.alpha1.1mdk
- kdevelop 2.2 alpha1

* Wed Apr 11 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 1.4.1-3mdk
- Add requires

* Tue Apr 10 2001 David BAUDENS <baudens@mandrakesoft.com> 1.4.1-2mdk
- Move KDE menu entries in %%_datadir/applnk
- Rebuild against latest GCC

* Wed Mar 21 2001 David BAUDENS <baudens@mandrakesoft.com> 1.4.1-1mdk
- Kdevelop 1.4.1
- Disable PATH for kdelibsdoc-dir (looks in kdelibs buildroot!???)

* Sun Mar 11 2001 David BAUDENS <baudens@mandrakesoft.com> 1.4-6mdk
- Rebuild for Linux-Mandrake 8.0 Beta 2
- Rebuild against Qt 2.3.0
- Re-enable default PATH for kdelibsdoc-dir
- Clean BuildRequires

* Thu Mar  8 2001 Stefan van der Eijk <s.vandereijk@chello.nl> 1.4-5mdk
- removed BuildRequires for libreadline4

* Thu Mar 01 2001 David BAUDENS <baudens@mandrakesoft.com> 1.4-4mdk
- Requires: libjpeg-devel

* Wed Feb 28 2001 David BAUDENS <baudens@mandrakesoft.com> 1.4-3mdk
- Add BuildRequires

* Sun Feb 25 2001 David BAUDENS <baudens@mandrakesoft.com> 1.4-2mdk
- Repackage (update in KDE 2.1 sources)

* Fri Feb 23 2001 David BAUDENS <baudens@mandrakesoft.com> 1.4-1mdk
- Kdevelop 1.4

* Tue Feb 20 2001 David BAUDENS <baudens@mandrakesoft.com> 1.4-0.20010220.1mdk
- Enable --disable-debug
- Rewrite file list to fix updates
- Remove non needed %%find_lang

* Tue Feb 13 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 1.4-0.20010213.1mdk
- Update code
- rebuild for kde > beta 2

* Thu Jan 17 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 1.4-0.20010116.4mdk
- Fix requires

* Thu Jan 17 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 1.4-0.20010116.3mdk
- Fix requires

* Thu Jan 16 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 1.4-0.20010116.2mdk
- Fix requires

* Thu Jan 16 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 1.4-0.20010116.1mdk
- initial packaging
